<?php

	/***
	   * interface author codewriter
	   
	   * validation interface
	   * don't copy or use
	***/

interface InputValidationInterface
{

	/***
	* @data
	* @param $data
	* return string
	***/
	public function data($data);
	
	
	/***
	* @validation call
	* @param $value $needle
	* @return bool
	***/
	public function validate($value, $needle);
}
?>
